<div class="container-fluid d-flex justify-content-between bg-light  border-bottom  mb-2">
  <nav class="navbar navbar-expand-lg navbar-light w-100">
    <a class="navbar-brand" href="/">
      <img src="/images/edgar75.png" 
        title="Ho, ho, ho, why don't you try the 'Christmas' password?"
        style="margin-left: 10px; margin-right: 30px;"> 
    </a>
  
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerEdgar">
      <span class="navbar-toggler-icon"></span>
    </button>
  
    <div class="collapse navbar-collapse" id="navbarTogglerEdgar">
  
      <ul class="nav navbar-nav w-100">
        <a class="nav-link active" href="/test/instances"><i class="fas fa-list-alt"></i>&nbsp;My previous exams</a>
        <a class="ml-2 nav-link active" href="/ticket/mytickets"><i class="fas fa-tools"></i>&nbsp;My tickets</a>
        <a class="ml-2 nav-link active" href="/analytics/score/student"><i class="fas fa-chart-line"></i>&nbsp;My
          stats</a></a>
        <% if (session.showPlaygroundStudent) { %>
          <li class="ml-2 nav-item dropdown">
            <a class="nav-link dropdown-toggle text-dark" data-toggle="dropdown" href="#" role="button"
              aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-gamepad"></i>Playground
              </a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="/playground/sandbox">Code sandbox</a>
              <a class="dropdown-item" href="/playground/snippet/store">Snippet store</a>
            </div>
          </li>
        <% } %>
        <a class="ml-2 nav-link active" href="/prefs/cmskin"><i class="fas fa-user-cog"></i>&nbsp;Code theme</a>
        <!-- <% if (session.usesMobileApp || session.showCodeMirror) { %>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                Preferences
            </a>
            <div class="dropdown-menu">
              <% if (session.showCodeMirror) { %>
                <a class="dropdown-item" href="/prefs/cmskin">CodeMirror skin</a>
                <% } %>
                  <% if (session.usesMobileApp) { %>
                    <a class="dropdown-item" href="/token/view">Mobile App Token</a>
                    <% } %>
            </div>
          </li>
          <% } %> -->

        <li class="nav-item dropdown border rounded" style="margin-left: auto;" >
          <% for (var i = 0; i < session.courses.length; ++i) { %>
            <% if (session.courses[i].id === session.currCourseId) { %>
              <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                <%=  session.courses[i].course_acronym %>
              </a>
              <% break; %>
                <% } %>
                  <% } %>
                    <div class="dropdown-menu">
                      <% for (var i = 0; i < session.courses.length; ++i) { %>
                        <a class="dropdown-item" href="/course/<%=session.courses[i].id%>">
                          <%=  session.courses[i].course_name %>
                        </a>
                        <% } %>
                    </div>
        </li>
    
        <li class="nav-item dropdown  border rounded ml-1">
    
          <% for (var i = 0; i < session.academicYears.length; ++i) { %>
            <% if (session.academicYears[i].id === session.currAcademicYearId) { %>
              <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                <%=  session.academicYears[i].title %>
              </a>
              <% break; %>
                <% } %>
                  <% } %>
    
                    <div class="dropdown-menu">
                      <% for (var i = 0; i < session.academicYears.length; ++i) { %>
                        <a class="dropdown-item" href="/acdmyear/<%=session.academicYears[i].id%>">
                          <%=  session.academicYears[i].title %>
                        </a>
                        <% } %>
                    </div>
        </li>
        


      </ul>
    </nav>

    <div class="d-flex align-items-center ml-5">
  
      <div class="profilepic">
        <img height="75"
          data-toggle="tooltip" 
          data-placement="top"
          title="IP:<%=locals.ip %>, Instance: <%= global.appInstance + '@' + global.hostname  %>"
          class="rounded-circle" 
          src="<%=session.imgSrc %>">
      </div>
  
      <div style="min-width: 120px;">
        <div><%=  session.fullname %></div>
        <div><mark><%=  session.rolename %></mark></div>
        <!-- <div><small>IP:<%=  locals.ip %></small></div>
        <div><small>Instance: <%= global.appInstance + '@' + global.hostname  %></small></div> -->
      </div>
      <div>
        <form action="/auth/logout" method="POST">
          <button class="btn btn-outline-success" type="submit">Logout</button>
        </form>
      </div>
      
    </div>
  

</div>



<%if (locals.infoFlash) {%>

  <div class="container-fluid">
    <div class="text-center alert alert-info">
      <%-locals.infoFlash%>
    </div>
  </div>
  <%}%><%if (locals.errorFlash) {%>
    <div class="container-fluid">
      <div class="text-center alert alert-danger">
        <%-locals.errorFlash%>
    </div>
    </div>
<%}%>